Subject: Re: bug#16046: Bug with Regexp Containing only a Character Class with a Caret (PATCH)
From: Stefan Monnier <[email-masked]>
To: Cameron Desautels <[email-masked]>
Cc: [email-masked]
Date: Thu, 05 Dec 2013 15:26:38 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

> After further experimentation, I suspect that "[^]" is simply not
> a valid regular expression.

Indeed, according to the documentation, for ^ to be treated as itself,
it needs to be "not the first char", but since we have nothing else to
put there, we're kind of screwed.

> This suggests that the broken behavior is within
> `regexp-opt-charset`.  I've attached a patch for that function.

Thank you for tracking down the problem and providing a fix.  I just
installed it in trunk, closing,

        Stefan